@import '../../../../../styles/variable';

.review-container {
  width: 70%;
  margin: 0 auto;
  // height: 100%;
  background-color: #000000b3;
  color: #fff;
  gap: 16px;
  padding: 0 16px;


  .review-question-title {
    position: relative;
    // padding: 16px;
    margin-top: 12px;
    // background-color: #000;
    // border-radius: 10px;

    h5 {
      margin: 12px 0;
      font-size: 24px;
      font-weight: 500;
      color: #fff;
    }

    button {
      position: absolute;
      right: 12px;
    }
  }

  .performance-wrapper {
    gap: 8px;
    background-color: #000;
    border-radius: 10px;
    padding: 12px 36px;

    .performance-heading {
      margin-bottom: 12px;
      h5 {
        margin-bottom: 0;
        font-size: 14px;
        font-weight: 400;
        color: #fff;
      }
    }

    .performance-card-wrap {
      gap: 12px;

      .performance-card {
        height: 80px;
        overflow: hidden;
        position: relative;
        background-color: #4a454582;
        border-radius: 10px;

        .performance-img-wrap {
          position: absolute;
          top: 11px;
          left: -17px;
          height: 90px;
          width: 90px;

          img {
            width: 100%;
            opacity: 0.8;
          }
        }

        .performance-score {
          height: 100%;
          width: 100%;
          gap: 4px;

          span:nth-child(1) {
            font-size: 32px;
            font-weight: 500;
          }
        }
      }
    }
  }

  .question-area {
    background-color: #000;
    border-radius: 10px;
    padding: 12px 36px;

    .question-heading {
      margin-bottom: 12px;
      h5 {
        margin-bottom: 0;
        font-size: 14px;
        font-weight: 400;
        color: #fff;
      }
    }

    .question-card-wrap {

      background: #fff;
      border-radius: 10px;
      padding: 32px 6px 32px 24px;
      .question-card-scroll {
        gap: 8px;
        max-height: 300px;
        overflow: hidden;
        overflow-y: scroll;

        .question-card {
          justify-content: center;
          color: #333;
          text-align: left;
          border-left: 4px solid #ccc;
          padding: 12px;
          background-color: #f5f5f5;

          span {
            font-size: 12px;
            margin-bottom: 6px;
          }
          .bold {
            font-size: 14px;
          }
        }
      }
    }
  }
}


